## ros-rolling-moveit-resources-pr2-description 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources_pr2_description)
find_package(ament_cmake REQUIRED)

ament_package()

install(DIRECTORY srdf urdf DESTINATION share/${PROJECT_NAME})
install(FILES kinect.dae DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-rolling-moveit-resources-pr2-description (2.0.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 15 Sep 2021 21:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.2-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 23 May 2021 21:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Apr 2021 21:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.0-1focal) focal; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Dave Coleman <dave@dav.ee>  Thu, 19 Nov 2020 21:00:00 -0000

ros-rolling-moveit-resources-pr2-description (0.7.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Oct 2020 21:00:00 -0000

ros-rolling-moveit-resources-pr2-description (0.7.0-1focal) focal; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Contributors: Robert Haschke, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Wed, 12 Aug 2020 21:00:00 -0000

=== debian/control ===
Source: ros-rolling-moveit-resources-pr2-description
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-resources-pr2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: PR2 Resources used for MoveIt! testing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-resources-pr2-description//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-resources-pr2-description 2.1.1

=== debian/changelog ===
ros-rolling-moveit-resources-pr2-description (2.1.1-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 18 May 2023 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.1.0-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 18 May 2023 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.6-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 18 Jul 2022 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.5-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sat, 25 Jun 2022 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.4-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 19 May 2022 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.3-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 16 Sep 2021 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.2-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 24 May 2021 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.1-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Fri, 09 Apr 2021 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (2.0.0-1jammy) jammy; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Dave Coleman <dave@dav.ee>  Fri, 20 Nov 2020 07:00:00 -0000

ros-rolling-moveit-resources-pr2-description (0.7.1-1jammy) jammy; urgency=high



 -- Dave Coleman <dave@dav.ee>  Fri, 09 Oct 2020 06:00:00 -0000

ros-rolling-moveit-resources-pr2-description (0.7.0-1jammy) jammy; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Contributors: Robert Haschke, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Thu, 13 Aug 2020 06:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
